// <#--System Group Store -->
Ext.define('App.store.SysGroupStore', {
	extend: 'Ext.data.Store',
	autoLoad: true,

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/user/sys-group/list.json'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
					idProperty: 'id'
				}
			},
			fields: [
				{
					name: 'id',
					type: 'int',
					useNull: true
				},
				{
					name: 'name',
					type: 'string'
				},
				{
					name: 'description',
					type: 'string'
				},
				{
					name: 'userCount',
					type: 'int'
				}
			]
		},
		cfg)]);
	}
});